Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 594776 - NetworkManager no longer finds Atheros wireless card on EEE PC 1005HA [NEEDINFO]
Summary: NetworkManager no longer finds Atheros wireless card on EEE PC 1005HA
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 11
Hardware: All
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-21 15:00 UTC by Andrew Martin
Modified: 2010-06-28 15:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 15:44:41 UTC
dcbw: needinfo? (andrew)


Attachments (Terms of Use)

Description Andrew Martin 2010-05-21 15:00:24 UTC
Description of problem:

   NetworkManager no longer finds Atheros wireless card on EEE PC 1005HA (ath9k driver module) - simply states "wireless is disabled".

   This has worked perfectly since I originally installed Fedora 11 and did a yum update, but broke after last night's yum update. Wired connection is fine.

   lsmod shows that the ath9k module is loaded


Version-Release number of selected component (if applicable):

   1.NetworkManager-glib-0.7.2.997-1.fc11.i586
   1.NetworkManager-0.7.2.997-1.fc11.i586
   1.NetworkManager-gnome-0.7.2.997-1.fc11.i586

   (from /var/log/yum.log - updates applied 20 May 21:33)

How reproducible:

   A simple yum update on evening of 20th May 2010 resulted in the wireless card no longer being detected.



Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Andrew Martin 2010-05-21 15:29:41 UTC
As a confirmation (and to get my laptop working again) I just downgraded those packages to:
   NetworkManager-glib-0.7.1-4.git20090414.fc11.i586
   NetworkManager-0.7.1-4.git20090414.fc11.i586
   NetworkManager-gnome-0.7.1-4.git20090414.fc11.i586
and all works fine...

Comment 2 Dan Williams 2010-05-22 16:39:43 UTC
Can you grab some logs from /var/log/messages from NetworkManager?  It may be that rfkill support in NetworkManager is detecting your wifi as off.

What kernel version do you have? ('uname -a' will tell you)

Also, can you grab the output of 'lsmod' too?

And lastly, the output of:

cat /sys/class/rfkill/*/type
cat /sys/class/rfkill/*/state

when the problem occurs.  THanks!

Comment 3 Andrew Martin 2010-05-22 20:27:24 UTC
Hi Dan.

Hopefully this answers all your questions...

Best wishes,
Andrew


/var/log/messages
=================

Using 0.7.1-4.git20090414 (working version)
-------------------------------------------
May 22 20:50:47 localhost NetworkManager: <info>  starting...
May 22 20:50:47 localhost NetworkManager: <WARN>  nm_generic_enable_loopback(): error -17 returned from rtnl_addr_add():#012Sucess#012
May 22 20:50:47 localhost NetworkManager: <info>  Found radio killswitch /org/freedesktop/Hal/devices/computer_rfkill_eeepc_wlan_wlan
May 22 20:50:47 localhost NetworkManager: <info>  (eth0): new Ethernet device (driver: 'atheros_eth')
May 22 20:50:47 localhost NetworkManager: <info>  (eth0): exported as /org/freedesktop/Hal/devices/net_00_26_18_89_37_f8
May 22 20:50:47 localhost NetworkManager: <info>  (wlan0): driver supports SSID scans (scan_capa 0x01).
May 22 20:50:47 localhost NetworkManager: <info>  (wlan0): new 802.11 WiFi device (driver: 'ath9k')
May 22 20:50:47 localhost NetworkManager: <info>  (wlan0): exported as /org/freedesktop/Hal/devices/net_00_25_d3_46_04_60
May 22 20:50:47 localhost NetworkManager: <info>  Trying to start the supplicant...
May 22 20:50:47 localhost NetworkManager: <info>  Trying to start the system settings daemon...
May 22 20:50:47 localhost NetworkManager: <info>  (wlan0): supplicant manager state:  down -> idle
May 22 20:50:47 localhost nm-system-settings: Loaded plugin ifcfg-rh: (c) 2007 - 2008 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
May 22 20:50:47 localhost NetworkManager: <info>  Setting system hostname to 'localhost.localdomain' (no default device)
May 22 20:50:51 localhost NetworkManager: <info>  (eth0): device state change: 1 -> 2
May 22 20:50:51 localhost NetworkManager: <info>  (eth0): bringing up device.
May 22 20:50:51 localhost NetworkManager: <info>  (eth0): preparing device.
May 22 20:50:51 localhost NetworkManager: <info>  (eth0): deactivating device (reason: 2).
May 22 20:50:51 localhost NetworkManager: <info>  (wlan0): device state change: 1 -> 2
May 22 20:50:51 localhost NetworkManager: <info>  (wlan0): bringing up device.
May 22 20:50:51 localhost NetworkManager: <info>  (wlan0): preparing device.
May 22 20:50:51 localhost NetworkManager: <info>  (wlan0): deactivating device (reason: 2).
May 22 20:50:51 localhost NetworkManager: <info>  (wlan0): device state change: 2 -> 3
May 22 20:50:51 localhost NetworkManager: <info>  (wlan0): supplicant interface state:  starting -> ready
May 22 20:52:07 localhost NetworkManager: <info>  Activation (wlan0) starting connection 'Auto sldomain'
May 22 20:52:07 localhost NetworkManager: <info>  (wlan0): device state change: 3 -> 4
May 22 20:52:07 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
May 22 20:52:07 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
May 22 20:52:07 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
May 22 20:52:07 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
May 22 20:52:07 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
May 22 20:52:07 localhost NetworkManager: <info>  (wlan0): device state change: 4 -> 5
May 22 20:52:07 localhost NetworkManager: <info>  Activation (wlan0/wireless): access point 'Auto sldomain' has security, but secrets are required.
May 22 20:52:07 localhost NetworkManager: <info>  (wlan0): device state change: 5 -> 6
May 22 20:52:07 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
May 22 20:52:07 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
May 22 20:52:07 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
May 22 20:52:07 localhost NetworkManager: <info>  (wlan0): device state change: 6 -> 4
May 22 20:52:07 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
May 22 20:52:07 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
May 22 20:52:07 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
May 22 20:52:07 localhost NetworkManager: <info>  (wlan0): device state change: 4 -> 5
May 22 20:52:07 localhost NetworkManager: <info>  Activation (wlan0/wireless): connection 'Auto sldomain' has security, and secrets exist.  No new secrets needed.
May 22 20:52:07 localhost NetworkManager: <info>  Config: added 'ssid' value 'sldomain'
May 22 20:52:07 localhost NetworkManager: <info>  Config: added 'scan_ssid' value '1'
May 22 20:52:07 localhost NetworkManager: <info>  Config: added 'key_mgmt' value 'WPA-PSK'
May 22 20:52:07 localhost NetworkManager: <info>  Config: added 'psk' value '<omitted>'
May 22 20:52:07 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
May 22 20:52:07 localhost NetworkManager: <info>  Config: set interface ap_scan to 1
May 22 20:52:07 localhost NetworkManager: <info>  (wlan0): supplicant connection state:  inactive -> scanning
May 22 20:52:08 localhost NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> associating
May 22 20:52:08 localhost NetworkManager: <info>  (wlan0): supplicant connection state:  associating -> associated
May 22 20:52:08 localhost NetworkManager: <info>  (wlan0): supplicant connection state:  associated -> 4-way handshake
May 22 20:52:08 localhost NetworkManager: <info>  (wlan0): supplicant connection state:  4-way handshake -> group handshake
May 22 20:52:08 localhost NetworkManager: <info>  (wlan0): supplicant connection state:  group handshake -> completed
May 22 20:52:08 localhost NetworkManager: <info>  Activation (wlan0/wireless) Stage 2 of 5 (Device Configure) successful.  Connected to wireless network 'sldomain'.
May 22 20:52:08 localhost NetworkManager: <info>  Activation (wlan0) Stage 3 of 5 (IP Configure Start) scheduled.
May 22 20:52:08 localhost NetworkManager: <info>  Activation (wlan0) Stage 3 of 5 (IP Configure Start) started...
May 22 20:52:08 localhost NetworkManager: <info>  (wlan0): device state change: 5 -> 7
May 22 20:52:08 localhost NetworkManager: <info>  Activation (wlan0) Beginning DHCP transaction.
May 22 20:52:08 localhost NetworkManager: <info>  dhclient started with pid 2414
May 22 20:52:08 localhost NetworkManager: <info>  Activation (wlan0) Stage 3 of 5 (IP Configure Start) complete.
May 22 20:52:09 localhost NetworkManager: <info>  DHCP: device wlan0 state changed (null) -> preinit
May 22 20:52:13 localhost NetworkManager: <info>  DHCP: device wlan0 state changed preinit -> bound
May 22 20:52:13 localhost NetworkManager: <info>  Activation (wlan0) Stage 4 of 5 (IP Configure Get) scheduled...
May 22 20:52:13 localhost NetworkManager: <info>  Activation (wlan0) Stage 4 of 5 (IP Configure Get) started...
May 22 20:52:13 localhost NetworkManager: <info>    address 192.168.0.63
May 22 20:52:13 localhost NetworkManager: <info>    prefix 24 (255.255.255.0)
May 22 20:52:13 localhost NetworkManager: <info>    gateway 192.168.0.1
May 22 20:52:13 localhost NetworkManager: <info>    nameserver '158.152.1.58'
May 22 20:52:13 localhost NetworkManager: <info>  Activation (wlan0) Stage 5 of 5 (IP Configure Commit) scheduled...
May 22 20:52:13 localhost NetworkManager: <info>  Activation (wlan0) Stage 4 of 5 (IP Configure Get) complete.
May 22 20:52:13 localhost NetworkManager: <info>  Activation (wlan0) Stage 5 of 5 (IP Configure Commit) started...
May 22 20:52:14 localhost NetworkManager: <info>  (wlan0): device state change: 7 -> 8
May 22 20:52:14 localhost NetworkManager: <info>  Policy set 'Auto sldomain' (wlan0) as default for routing and DNS.
May 22 20:52:14 localhost NetworkManager: <info>  Activation (wlan0) successful, device activated.
May 22 20:52:14 localhost NetworkManager: <info>  Activation (wlan0) Stage 5 of 5 (IP Configure Commit) complete.

After update to 0.7.22.997-1 (broken version)
---------------------------------------------
May 22 21:03:17 localhost NetworkManager: <info>  (wlan0): device state change: 8 -> 3
May 22 21:03:17 localhost NetworkManager: <info>  (wlan0): deactivating device (reason: 38).
May 22 21:03:17 localhost NetworkManager: <info>  wlan0: canceled DHCP transaction, dhcp client pid 2414
May 22 21:03:18 localhost NetworkManager: <WARN>  check_one_route(): (wlan0) error -34 returned from rtnl_route_del(): Sucess#012
May 22 21:03:29 localhost NetworkManager: <info>  HAL disappeared
May 22 21:03:31 localhost NetworkManager: <WARN>  nm_signal_handler(): Caught signal 15, shutting down normally.
May 22 21:03:31 localhost NetworkManager: <info>  (eth0): now unmanaged
May 22 21:03:31 localhost NetworkManager: <info>  (eth0): device state change: 2 -> 1
May 22 21:03:31 localhost NetworkManager: <info>  (eth0): cleaning up...
May 22 21:03:31 localhost NetworkManager: <info>  (eth0): taking down device.
May 22 21:03:31 localhost NetworkManager: <info>  (wlan0): now unmanaged
May 22 21:03:31 localhost NetworkManager: <info>  (wlan0): device state change: 3 -> 1
May 22 21:03:31 localhost NetworkManager: <info>  (wlan0): cleaning up...
May 22 21:03:31 localhost NetworkManager: <info>  (wlan0): taking down device.
May 22 21:03:31 localhost NetworkManager: <info>  exiting (success)
May 22 21:04:11 localhost NetworkManager: <info>  starting...
May 22 21:04:11 localhost NetworkManager: <WARN>  nm_generic_enable_loopback(): error -17 returned from rtnl_addr_add():#012Sucess#012
May 22 21:04:11 localhost NetworkManager: <info>  Found radio killswitch /org/freedesktop/Hal/devices/computer_rfkill_eeepc_wlan_wlan
May 22 21:04:11 localhost NetworkManager: <info>  (eth0): new Ethernet device (driver: 'atheros_eth')
May 22 21:04:11 localhost NetworkManager: <info>  (eth0): exported as /org/freedesktop/Hal/devices/net_00_26_18_89_37_f8
May 22 21:04:11 localhost NetworkManager: <info>  (wlan0): driver supports SSID scans (scan_capa 0x01).
May 22 21:04:11 localhost NetworkManager: <info>  (wlan0): new 802.11 WiFi device (driver: 'ath9k')
May 22 21:04:11 localhost NetworkManager: <info>  (wlan0): exported as /org/freedesktop/Hal/devices/net_00_25_d3_46_04_60
May 22 21:04:11 localhost NetworkManager: <info>  Trying to start the supplicant...
May 22 21:04:11 localhost NetworkManager: <info>  Trying to start the system settings daemon...
May 22 21:04:11 localhost NetworkManager: <info>  starting...
May 22 21:04:11 localhost NetworkManager: <WARN>  nm_generic_enable_loopback(): error -17 returned from rtnl_addr_add():#012Sucess#012
May 22 21:04:11 localhost NetworkManager: <info>  Found radio killswitch /org/freedesktop/Hal/devices/computer_rfkill_eeepc_wlan_wlan
May 22 21:04:11 localhost NetworkManager: <info>  (eth0): new Ethernet device (driver: 'atheros_eth')
May 22 21:04:11 localhost NetworkManager: <info>  (eth0): exported as /org/freedesktop/Hal/devices/net_00_26_18_89_37_f8
May 22 21:04:11 localhost NetworkManager: <info>  (wlan0): driver supports SSID scans (scan_capa 0x01).
May 22 21:04:11 localhost NetworkManager: <info>  (wlan0): new 802.11 WiFi device (driver: 'ath9k')
May 22 21:04:11 localhost NetworkManager: <info>  (wlan0): exported as /org/freedesktop/Hal/devices/net_00_25_d3_46_04_60
May 22 21:04:11 localhost NetworkManager: <info>  Trying to start the supplicant...
May 22 21:04:11 localhost NetworkManager: <info>  Trying to start the system settings daemon...
May 22 21:04:11 localhost NetworkManager: <info>  (wlan0): supplicant manager state:  down -> idle
May 22 21:04:12 localhost nm-system-settings: Loaded plugin ifcfg-rh: (c) 2007 - 2008 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
May 22 21:04:12 localhost NetworkManager: <info>  Setting system hostname to 'localhost.localdomain' (no default device)
May 22 21:04:16 localhost NetworkManager: <info>  (eth0): device state change: 1 -> 2 (reason 2)
May 22 21:04:16 localhost NetworkManager: <info>  (eth0): bringing up device.
May 22 21:04:16 localhost NetworkManager: <info>  (eth0): preparing device.
May 22 21:04:16 localhost NetworkManager: <info>  (eth0): deactivating device (reason: 2).
May 22 21:04:16 localhost NetworkManager: <info>  (wlan0): device state change: 1 -> 2 (reason 2)
May 22 21:04:16 localhost NetworkManager: <info>  (wlan0): bringing up device.
May 22 21:04:16 localhost NetworkManager: <info>  (wlan0): deactivating device (reason: 2).


KERNEL VERSION
==============
2.6.30.10-105.2.23.fc11.i686.PAE

lsmod output
============
Module                  Size  Used by
sco                    16168  2 
bridge                 43864  0 
stp                     1972  1 bridge
llc                     4944  2 bridge,stp
bnep                   14916  2 
l2cap                  32428  3 bnep
bluetooth              77104  5 sco,bnep,l2cap
sunrpc                155680  1 
ip6t_REJECT             4540  2 
nf_conntrack_ipv6      17740  2 
ip6table_filter         3152  1 
ip6_tables             10964  1 ip6table_filter
ipv6                  235720  34 ip6t_REJECT,nf_conntrack_ipv6
cpufreq_ondemand        6344  2 
acpi_cpufreq            8864  0 
fuse                   49332  4 
vfat                    8608  1 
fat                    40636  1 vfat
dm_multipath           14044  0 
uinput                  6684  0 
snd_hda_codec_realtek   193464  1 
arc4                    1600  2 
ecb                     2476  2 
snd_hda_intel          24204  2 
snd_hda_codec          59436  2 snd_hda_codec_realtek,snd_hda_intel
snd_hwdep               6732  1 snd_hda_codec
snd_seq                45696  0 
snd_seq_device          6216  1 snd_seq
atl1c                  28640  0 
snd_pcm                63236  2 snd_hda_intel,snd_hda_codec
atl1e                  66576  0 
ath9k                 209560  0 
uvcvideo               50580  0 
pcspkr                  2176  0 
snd_timer              17760  2 snd_seq,snd_pcm
iTCO_wdt               10368  0 
iTCO_vendor_support     2760  1 iTCO_wdt
snd                    50292  12 snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
eeepc_laptop           11212  0 
joydev                  9268  0 
videodev               29620  1 uvcvideo
mac80211              175072  1 ath9k
soundcore               5484  1 snd
hwmon                   2576  1 eeepc_laptop
rfkill                  8936  5 ath9k,eeepc_laptop
snd_page_alloc          7784  2 snd_hda_intel,snd_pcm
v4l1_compat            12056  2 uvcvideo,videodev
cfg80211               51620  2 ath9k,mac80211
i915                  154432  2 
drm                   168336  2 i915
i2c_algo_bit            4812  1 i915
video                  18716  1 i915
output                  2448  1 video
i2c_core               24992  3 i915,drm,i2c_algo_bit


cat /sys/class/rfkill/*/type
============================
wlan
bluetooth


cat /sys/class/rfkill/*/state
=============================
1
0

Comment 4 Dan Williams 2010-05-24 20:02:43 UTC
Can you grab the following information for me?

1) rpm -qv hal

2) dbus-send --system --print-reply --dest=org.freedesktop.Hal /org/freedesktop/Hal/devices/computer_rfkill_eeepc_wlan_wlan org.freedesktop.Hal.Device.KillSwitch.GetPower

Thanks!

Comment 5 Andrew Martin 2010-05-25 22:02:13 UTC
> 1) rpm -qv hal

hal-0.5.12-29.20090226git.fc11.i586


> 2) dbus-send --system --print-reply --dest=org.freedesktop.Hal
> /org/freedesktop/Hal/devices/computer_rfkill_eeepc_wlan_wlan
> org.freedesktop.Hal.Device.KillSwitch.GetPower

Using 0.7.1-4.git20090414 (working version)
-------------------------------------------
method return sender=:1.1 -> dest=:1.271 reply_serial=2
   int32 1

After update to 0.7.22.997-1 (broken version)
---------------------------------------------
method return sender=:1.1 -> dest=:1.92 reply_serial=2
   int32 1


Best wishes,

Andrew

Comment 6 Dan Williams 2010-05-26 17:13:50 UTC
When this happens, can you also grab the output of 'nm-tool' for me?

Comment 7 Andrew Martin 2010-06-01 16:41:48 UTC
Sorry for the delay - I've been away. Here you go. I've replaced actual hardware addresses with nn:nn:nn:nn:nn:nn, but the broken version reports 00:00:00:00:00:00



Using 0.7.1-4.git20090414 (working version)
-------------------------------------------
NetworkManager Tool

State: connected

- Device: eth0 -----------------------------------------------------------------
  Type:              Wired
  Driver:            atheros_eth
  State:             unavailable
  Default:           no
  HW Address:        nn:nn:nn:nn:nn:nn

  Capabilities:
    Carrier Detect:  yes

  Wired Properties
    Carrier:         off


- Device: wlan0  [Auto sldomain] -----------------------------------------------
  Type:              802.11 WiFi
  Driver:            ath9k
  State:             connected
  Default:           yes
  HW Address:        nn:nn:nn:nn:nn:nn

  Capabilities:
    Speed:           54 Mb/s

  Wireless Properties
    WEP Encryption:  yes
    WPA Encryption:  yes
    WPA2 Encryption: yes

  Wireless Access Points (* = current AP)
    linksys:         Infra, nn:nn:nn:nn:nn:nn, Freq 2462 MHz, Rate 54 Mb/s, Strength 4
    mojo:            Infra, nn:nn:nn:nn:nn:nn, Freq 2437 MHz, Rate 54 Mb/s, Strength 5 WPA
    *sldomain:       Infra, nn:nn:nn:nn:nn:nn, Freq 2432 MHz, Rate 54 Mb/s, Strength 75 WPA

  IPv4 Settings:
    Address:         192.168.0.61
    Prefix:          24 (255.255.255.0)
    Gateway:         192.168.0.1

    DNS:             nnn.nnn.nnn.nnn




After update to 0.7.22.997-1 (broken version)
---------------------------------------------
NetworkManager Tool

State: disconnected

- Device: eth0 -----------------------------------------------------------------
  Type:              Wired
  Driver:            atheros_eth
  State:             unavailable
  Default:           no
  HW Address:        nn:nn:nn:nn:nn:nn

  Capabilities:
    Carrier Detect:  yes

  Wired Properties
    Carrier:         off


- Device: wlan0 ----------------------------------------------------------------
  Type:              802.11 WiFi
  Driver:            ath9k
  State:             unavailable
  Default:           no
  HW Address:        00:00:00:00:00:00

  Capabilities:

  Wireless Properties
    WEP Encryption:  yes
    WPA Encryption:  yes
    WPA2 Encryption: yes

  Wireless Access Points

Comment 8 Dan Williams 2010-06-10 04:56:15 UTC
I've added some debugging information upstream to help diagnose your issue.  When the new build hits koji, I'll ask you to install it and run it to get the debugging output so we can figure out what's really going wrong.  Thanks for keeping on top of this!

Comment 9 Fedora Update System 2010-06-10 05:26:44 UTC
NetworkManager-0.7.2.997-2.git20100609.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.2.997-2.git20100609.fc11

Comment 10 Dan Williams 2010-06-10 05:28:35 UTC
Could you please grab the packages from this update:

https://admin.fedoraproject.org/updates/NetworkManager-0.7.2.997-2.git20100609.fc11

and install them, then run NM like so:

service NetworkManager stop
NM_WIFI_ENABLE_DEBUG=1 /usr/sbin/NetworkManager --no-daemon

and copy the output into this bug?  It should help us debug the problem and figure out what's going wrong for you here.

Comment 11 Andrew Martin 2010-06-19 21:36:14 UTC
Apologies for the delay. Hre you are...

[root@localhost ~]# NM_WIFI_ENABLE_DEBUG=1 /usr/sbin/NetworkManager --no-daemon
NetworkManager: <info>  starting...
NetworkManager: <WARN>  nm_generic_enable_loopback(): error -17 returned from rtnl_addr_add():
Netlink Error (errno = File exists)
NetworkManager: <info>  Found radio killswitch /org/freedesktop/Hal/devices/computer_rfkill_eeepc_wlan_wlan
NetworkManager: <info>  (eth0): new Ethernet device (driver: 'atheros_eth')
NetworkManager: <info>  (eth0): exported as /org/freedesktop/Hal/devices/net_00_26_18_89_37_f8
NetworkManager: <info>  (wlan0): driver supports SSID scans (scan_capa 0x01).
NetworkManager: <info>  (wlan0): new 802.11 WiFi device (driver: 'ath9k')
NetworkManager: <info>  (wlan0): exported as /org/freedesktop/Hal/devices/net_00_25_d3_46_04_60
NetworkManager: <info>  (eth0): device state change: 1 -> 2 (reason 2)
NetworkManager: <info>  (eth0): bringing up device.
NetworkManager: <info>  (eth0): preparing device.
NetworkManager: <info>  (eth0): deactivating device (reason: 2).
NetworkManager: <info>  (wlan0): device state change: 1 -> 2 (reason 2)
NetworkManager: <info>  (wlan0): bringing up device.
NetworkManager: <debug> [1276982662.529005] real_hw_bring_up(): (wlan0): could not bring up because not enabled
NetworkManager: <WARN>  nm_device_hw_bring_up(): (wlan0): failed to bring up device hardware
NetworkManager: <info>  (wlan0): deactivating device (reason: 2).
NetworkManager: <debug> [1276982662.533886] device_state_changed(): (wlan0): no DISCONNECTED transition because not enabled

Comment 12 Dan Williams 2010-06-22 18:09:14 UTC
What is the contents of:

/var/lib/NetworkManager/NetworkManager.state

?

Comment 13 Dan Williams 2010-06-22 18:32:50 UTC
Can you grab the appropriate packages from this Koji scratch build?

http://koji.fedoraproject.org/koji/taskinfo?taskID=2265965

(see the "Descendent Tasks" link and click on the task for your architecture, then grab the packages from the bottom of that Descendent Task page).

Then run it in the same manner as before, like:

NM_WIFI_ENABLE_DEBUG=1 /usr/sbin/NetworkManager --no-daemon

and we'll get a bit more debug output that will help us isolate the issue.  Thanks!

Comment 14 Bug Zapper 2010-06-28 15:44:41 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.